org.apache.lucene.analysis.core

## Class LowerCaseFilter

- java.lang.Object
- - org.apache.lucene.util.AttributeSource
  - - org.apache.lucene.analysis.TokenStream
    - - org.apache.lucene.analysis.TokenFilter
      - - org.apache.lucene.analysis.core.LowerCaseFilter

All Implemented Interfaces:
  Closeable, AutoCloseable

    public final class LowerCaseFilter
    extends TokenFilter

Normalizes token text to lower case.

You must specify the required `Version` compatibility when creating LowerCaseFilter:

- As of 3.1, supplementary characters are properly lowercased.

### Nested Class Summary

### Nested classes/interfaces inherited from class org.apache.lucene.util.AttributeSource

`AttributeSource.AttributeFactory, AttributeSource.State`

### Field Summary

### Fields inherited from class org.apache.lucene.analysis.TokenFilter

`input`

### Constructor Summary

Constructors
Constructor and Description
`LowerCaseFilter(Version matchVersion, TokenStream in)` Create a new LowerCaseFilter, that normalizes token text to lower case.

### Method Summary

Methods
`boolean` `incrementToken()`

### Methods inherited from class org.apache.lucene.analysis.TokenFilter

`close, end, reset`

### Methods inherited from class org.apache.lucene.util.AttributeSource

`addAttribute, addAttributeImpl, captureState, clearAttributes, cloneAttributes, copyTo, equals, getAttribute, getAttributeClassesIterator, getAttributeFactory, getAttributeImplsIterator, hasAttribute, hasAttributes, hashCode, reflectAsString, reflectWith, restoreState`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### LowerCaseFilter

    public LowerCaseFilter(Version matchVersion,
                   TokenStream in)

Create a new LowerCaseFilter, that normalizes token text to lower case.

Parameters:
  `matchVersion` - See above
  `in` - TokenStream to filter

### Method Detail

#### incrementToken

    public final boolean incrementToken()
                                 throws IOException

Specified by:
  `incrementToken` in class `TokenStream`
Throws:
  `IOException`